- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
WP42Listener Class Referenceabstract

`#include <WP42Listener.h>`

Inheritance diagram for WP42Listener:

## Public Member Functions
| WP42Listener ()
virtual | ~WP42Listener ()
virtual void | startDocument ()=0
virtual void | startSubDocument ()=0
virtual void | insertCharacter (unsigned character)=0
virtual void | insertTab (unsigned char tabType, double tabPosition)=0
virtual void | insertBreak (unsigned char breakType)=0
virtual void | insertEOL ()=0
virtual void | attributeChange (bool isOn, unsigned char attribute)=0
virtual void | marginReset (unsigned char leftMargin, unsigned char rightMargin)=0
virtual void | headerFooterGroup (unsigned char headerFooterDefinition, WP42SubDocument *subDocument)=0
virtual void | suppressPageCharacteristics (unsigned char suppressCode)=0
virtual void | endDocument ()=0
virtual void | endSubDocument ()=0

## Constructor & Destructor Documentation

WP42Listener::WP42Listener | ( |  | ) |

virtual WP42Listener::~WP42Listener | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual void WP42Listener::attributeChange | ( | bool | isOn,
|  | unsigned char | attribute
| ) |  |
| pure virtual

Implemented in WP42ContentListener, and WP42StylesListener.

Referenced by WP42Parser::parseDocument().

virtual void WP42Listener::endDocument | ( |  | ) |
| pure virtual

Implemented in WP42ContentListener, and WP42StylesListener.

Referenced by WP42Parser::parse().

virtual void WP42Listener::endSubDocument | ( |  | ) |
| pure virtual

Implemented in WP42ContentListener, and WP42StylesListener.

virtual void WP42Listener::headerFooterGroup | ( | unsigned char | headerFooterDefinition,
|  | WP42SubDocument * | subDocument
| ) |  |
| pure virtual

Implemented in WP42ContentListener, and WP42StylesListener.

Referenced by WP42HeaderFooterGroup::parse().

virtual void WP42Listener::insertBreak | ( | unsigned char | breakType | ) |
| pure virtual

Implemented in WP42ContentListener, and WP42StylesListener.

Referenced by WP42Parser::parseDocument().

virtual void WP42Listener::insertCharacter | ( | unsigned | character | ) |
| pure virtual

Implemented in WP42ContentListener, and WP42StylesListener.

Referenced by WP42ExtendedCharacterGroup::parse(), and WP42Parser::parseDocument().

virtual void WP42Listener::insertEOL | ( |  | ) |
| pure virtual

Implemented in WP42ContentListener, and WP42StylesListener.

Referenced by WP42Parser::parseDocument().

virtual void WP42Listener::insertTab | ( | unsigned char | tabType,
|  | double | tabPosition
| ) |  |
| pure virtual

Implemented in WP42ContentListener, and WP42StylesListener.

Referenced by WP42Parser::parseDocument().

virtual void WP42Listener::marginReset | ( | unsigned char | leftMargin,
|  | unsigned char | rightMargin
| ) |  |
| pure virtual

Implemented in WP42ContentListener, and WP42StylesListener.

Referenced by WP42SubDocument::parse(), and WP42MarginResetGroup::parse().

virtual void WP42Listener::startDocument | ( |  | ) |
| pure virtual

Implemented in WP42ContentListener, and WP42StylesListener.

Referenced by WP42Parser::parse().

virtual void WP42Listener::startSubDocument | ( |  | ) |
| pure virtual

Implemented in WP42ContentListener, and WP42StylesListener.

virtual void WP42Listener::suppressPageCharacteristics | ( | unsigned char | suppressCode | ) |
| pure virtual

Implemented in WP42ContentListener, and WP42StylesListener.

Referenced by WP42SuppressPageCharacteristicsGroup::parse().

The documentation for this class was generated from the following files:

- WP42Listener.h
- WP42Listener.cpp